## twopaco 0.9.4+dfsg

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(root)
set(CMAKE_BUILD_TYPE RELEASE)
add_subdirectory(graphdump)
add_subdirectory(graphconstructor)
include(CPack)

=== src/graphconstructor/CMakeLists.txt ===
project(twopaco CXX)
cmake_minimum_required(VERSION 2.8)

set(CMAKE_PROJECT_NAME twopaco)
if(CMAKE_COMPILER_IS_GNUCXX)
	list(APPEND "CMAKE_CXX_FLAGS" "-std=c++11 -lstdc++")
endif()

add_executable(twopaco ../common/dnachar.cpp constructor.cpp concurrentbitvector.cpp compressedstring.cpp ../common/streamfastaparser.cpp test.cpp vertexenumerator.cpp ../common/spooky/SpookyV2.cpp common.cpp)
link_directories(${TBB_LIB_DIR})
include_directories(${twopaco_SOURCE_DIR} ${TBB_INCLUDE_DIR} "../common") 
target_link_libraries(twopaco  "tbb" )
install(TARGETS twopaco RUNTIME DESTINATION bin)

set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "9")
set(CPACK_PACKAGE_VERSION_PATCH "4")

=== src/graphdump/CMakeLists.txt ===
project(graphdump CXX)
cmake_minimum_required(VERSION 2.8)

set(CMAKE_PROJECT_NAME graphdump)
if(CMAKE_COMPILER_IS_GNUCXX)
	list(APPEND "CMAKE_CXX_FLAGS" "-std=c++11 -lstdc++")
endif()

add_executable(graphdump graphdump.cpp ../common/dnachar.cpp ../common/streamfastaparser.cpp)
link_directories(${TBB_LIB_DIR})
include_directories(${twopaco_SOURCE_DIR} ${TBB_INCLUDE_DIR} "../common")
target_link_libraries(graphdump  "tbb")
install(TARGETS graphdump RUNTIME DESTINATION bin)

set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "9")
set(CPACK_PACKAGE_VERSION_PATCH "4")

=== debian/changelog ===
twopaco (0.9.4+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1006180)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Feb 2022 18:51:57 +0100

=== debian/control ===
Source: twopaco
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libtbb-dev,
               libtclap-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/twopaco
Vcs-Git: https://salsa.debian.org/med-team/twopaco.git
Homepage: https://github.com/medvedevgroup/TwoPaCo
Rules-Requires-Root: no

Package: twopaco
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: build the compacted de Bruijn graph from many complete genomes
 TwoPaCo is an implementation of the algorithm described in the paper
 "TwoPaCo: An efficient algorithm to build the compacted de Bruijn graph
 from many complete genomes".
 .
 This package contains two programs:
 .
  twopaco: tool for direct construction of the compressed graph from
           multiple complete genomes
  graphdump: utility that turns output of twopaco into a text format

## twopaco 1.0.0+dfsg

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(root)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_BUILD_TYPE RELEASE)
add_subdirectory(graphdump)
add_subdirectory(graphconstructor)
include(CPack)
set(THREADS_PREFER_PTHREAD_FLAG ON)

=== src/graphconstructor/CMakeLists.txt ===
project(twopaco CXX)

set(CMAKE_PROJECT_NAME twopaco)
set(CMAKE_CXX_STANDARD 14)

add_executable(twopaco ../common/dnachar.cpp constructor.cpp concurrentbitvector.cpp compressedstring.cpp ../common/streamfastaparser.cpp test.cpp vertexenumerator.cpp ../common/spooky/SpookyV2.cpp common.cpp)
link_directories(${TBB_LIB_DIR})
include_directories(${twopaco_SOURCE_DIR} ${TBB_INCLUDE_DIR} "../common") 
target_link_libraries(twopaco  "tbb" "tbbmalloc" "tbbmalloc_proxy" "pthread" )
install(TARGETS twopaco RUNTIME DESTINATION bin)

set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "0")
set(CPACK_PACKAGE_VERSION_PATCH "0")

=== src/graphdump/CMakeLists.txt ===
project(graphdump CXX)

set(CMAKE_PROJECT_NAME graphdump)
set(CMAKE_CXX_STANDARD 14)

add_executable(graphdump graphdump.cpp ../common/dnachar.cpp ../common/streamfastaparser.cpp)
link_directories(${TBB_LIB_DIR})
include_directories(${twopaco_SOURCE_DIR} ${TBB_INCLUDE_DIR} "../common")
target_link_libraries(graphdump  "tbb" "pthread")
install(TARGETS graphdump RUNTIME DESTINATION bin)

set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "0")
set(CPACK_PACKAGE_VERSION_PATCH "0")

=== debian/changelog ===
twopaco (1.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andrius Merkys ]
  * New upstream version 1.0.0+dfsg (Closes: #1013182)
  * Drop upstream-integrated patches.
  * Update manpages.

 -- Andrius Merkys <merkys@debian.org>  Thu, 29 Sep 2022 01:51:49 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake,
                libtbb-dev,
                libtclap-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/twopaco
 Vcs-Git: https://salsa.debian.org/med-team/twopaco.git
 Homepage: https://github.com/medvedevgroup/TwoPaCo

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --sourcedir=src

override_dh_auto_test:
	obj-*/graphconstructor/twopaco --test -f 34 example/example.fa
	obj-*/graphconstructor/twopaco -f 20 -k 11 example/example.fa -o example/example.dbg
	obj-*/graphdump/graphdump -f dot example/example.dbg -k 11 > example/example.dot

override_dh_installexamples:
	dh_installexamples --sourcedir=$(CURDIR)

override_dh_installman:
	dh_installman --sourcedir=$(CURDIR)

# For some reason debian/not-installed does not work
override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/medvedevgroup/TwoPaCo/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
